package edu.neusoft.project.model.vo;

public class Person {
    private String username;
    private String password;
    private String personCode;
    private int personListened;
    private int personLevel;
    private String token;

    public Person() {
    }

    public Person(String username, String password, String personCode, int personListened, int personLevel, String token) {
        this.username = username;
        this.password = password;
        this.personCode = personCode;
        this.personListened = personListened;
        this.personLevel = personLevel;
        this.token = token;
    }

    public Person(String username, String password, String personCode, int personListened, int personLevel) {
        this.username = username;
        this.password = password;
        this.personCode = personCode;
        this.personListened = personListened;
        this.personLevel = personLevel;
    }


    public Person(String username, String password, String personCode, int personListened) {
        this.username = username;
        this.password = password;
        this.personCode = personCode;
        this.personListened = personListened;
    }

    @Override
    public String toString() {
        return "Person{" +
                "username='" + username + '\'' +
                ", password='" + password + '\'' +
                ", personCode='" + personCode + '\'' +
                ", personListened=" + personListened +
                ", personLevel=" + personLevel +
                ", token='" + token + '\'' +
                '}';
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void setPersonCode(String personCode) {
        this.personCode = personCode;
    }

    public void setPersonListened(int personListened) {
        this.personListened = personListened;
    }

    public String getUsername() {
        return username;
    }

    public String getPassword() {
        return password;
    }

    public String getPersonCode() {
        return personCode;
    }

    public int getPersonListened() {
        return personListened;
    }

    public int getPersonLevel() { return personLevel; }

    public void setPersonLevel(int personLevel) {
        this.personLevel = personLevel;
    }



    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }
}
